Package org.sonatype.maven.polyglot.mapping

## Interface Mapping

- All Known Implementing Classes:
    `GroovyMapping`, `MappingSupport`, `XmlMapping`

      public interface Mapping

  Provides a mapping to polyglot specific models.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.util.Map<java.lang.String,​?> options)` |
    `float` | `getPriority()` |
    `org.apache.maven.model.io.ModelReader` | `getReader()` |
    `org.apache.maven.model.io.ModelWriter` | `getWriter()` |
    `java.io.File` | `locatePom​(java.io.File dir)` |

- - ### Method Detail

    - #### locatePom

          java.io.File locatePom​(java.io.File dir)

    - #### accept

          boolean accept​(java.util.Map<java.lang.String,​?> options)

    - #### getReader

          org.apache.maven.model.io.ModelReader getReader()

    - #### getWriter

          org.apache.maven.model.io.ModelWriter getWriter()

    - #### getPriority

          float getPriority()